IWGETID(8)

NOME
iwgetid - Riporta l'ESSID, l'NWID o l'indirizzo dell'AP/della cella della rete wireless

SINTASSI
iwgetid [interfaccia] [--raw] [--scheme] [--ap] [--freq]
[--mode] [--protocol] [--channel]

DESCRIZIONE
iwgetid viene utilizzato per trovare l'NWID, l'ESSID o l'indirizzo dell'AP/della cella della rete wireless che viene utilizzata al momento. L'informazione riportata è la stessa che viene mostrata da iwconfig, ma iwgetid è più facile da integrare negli script.
Per default, iwgetid mostrerà l'ESSID del dispositivo, e se non ha alcun ESSID, stamperà il suo NWID.
La formattazione predefinita è facilmente visualizzabile.

OPZIONI

--raw
    Questa opzione disabilita la visualizzazione facilitata delle informazioni. Questa impostazione è opposta alle altre opzioni (esclusa --scheme), cosicché, con le combinazioni di opzioni appropriate, è possibile stampare il valore raw dell'ESSID, l'indirizzo dell'AP o la modalità.
    Questo formato è ideale quando si salva il risultato di iwgetid in una variabile di script Shell o Perl oppure bisogna fornire il risultato come un argomento alla linea di comando di iwconfig.

--scheme
    Questa opzione è simile alla precedente, disabilita la visualizzazione facilitata delle informazioni e rimuove tutti i caratteri che non sono alfanumerici (come spazi, punteggiatura e caratteri di controllo).
    L'output è un valido schema identificativo per Pcmcia (cioè può essere utilizzato come un valido argomento del comando cardctl scheme). Questo formato è ideale quando il risultato di iwgetid viene utilizzato come selettore in script Shell o Perl o come il nome di un file.

--ap
    Mostra il MAC address dell'Access Point Wireless o della Cella.

--freq
    Mostra la frequenza (frequency) attuale o il canale (channel) usato dall'interfaccia.

--channel
    Mostra il canale (channel) corrente utilizzato dall'interfaccia. Il canale viene determinato utilizzando la frequenza corrente e la lista di frequenze fornite dall'interfaccia.

--mode
    Mostra la modalità corrente (mode) dell'interfaccia.

--protocol
    Mostra il nome del protocollo (protocol name) dell'interfaccia. Questo permette di identificare tutte le schede che sono compatibili con qualunque altra e accettano lo stesso tipo di configurazione.
    Questo può anche essere utilizzato per verificare il supporto alle Estensioni Wireless (Extension Wireless) dell'interfaccia, poichè questo è l'unico attributo che tutti i driver che supportano le Wireless Extension sono obbligati ad avere.

VEDERE ANCHE
iwconfig(8), ifconfig(8), iwspy(8), iwpriv(8), ifrename(8), iftab(5), iwevent(8), iwlist(8).

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Claudio Ferronato <claiudio@libero.it> e Marco Curreli <marcocurreli@tiscali.it>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.